repo/gentoo:master commit in: x11-libs/gdk-pixbuf/

"Pacho Ramos" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786029933.ab24768415aa11b7e6f66decd5513afe22a1f639.pacho@gentoo>
commit:     ab24768415aa11b7e6f66decd5513afe22a1f639
Author:     Brett A C Sheffield <bacs <AT> librecast <DOT> net>
AuthorDate: Tue Jul 14 12:47:21 2026 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 15:25:33 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab247684

x11-libs/gdk-pixbuf: add 2.44.7

Delay introducing the new glycin dependency to a later revision to get
the security fix in.

* add remote-ids
* update the USE=gtk-doc mapping to point to 'documentation' instead of
  'gtk_doc'
* enable the thumbnailer meson feature
* depend explicitly on meson, since the build-system now requires a
  version greater then the one required by meson.eclass

Bug: https://bugs.gentoo.org/973240
Co-authored-by: Lukas Schmelting <lschmelting <AT> posteo.com>
Signed-off-by: Brett A C Sheffield <bacs <AT> librecast.net>
Signed-off-by: Lukas Schmelting <lschmelting <AT> posteo.com>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1604
Merges: https://codeberg.org/gentoo/gentoo/pulls/1604
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 x11-libs/gdk-pixbuf/Manifest                 |   1 +
 x11-libs/gdk-pixbuf/gdk-pixbuf-2.44.7.ebuild | 109 +++++++++++++++++++++++++++
 2 files changed, 110 insertions(+)

diff --git a/x11-libs/gdk-pixbuf/Manifest b/x11-libs/gdk-pixbuf/Manifest
index af985325bfba..67bb117de32c 100644
--- a/x11-libs/gdk-pixbuf/Manifest
+++ b/x11-libs/gdk-pixbuf/Manifest
@@ -1 +1,2 @@
 DIST gdk-pixbuf-2.42.12.tar.xz 6525072 BLAKE2B 718a96c9efb836a275692ccbc403df0eb285918c5867d344406f660898c7ce8aad8cce7187faf7f6e9cdcfd1b051d5384f57644d946b888baddbaafb8f99309c SHA512 ae9fcc9b4e8fd10a4c9bf34c3a755205dae7bbfe13fbc93ec4e63323dad10cc862df6a9e2e2e63c84ffa01c5e120a3be06ac9fad2a7c5e58d3dc6ba14d1766e8
+DIST gdk-pixbuf-2.44.7.tar.xz 6037644 BLAKE2B d0418ac91733fae5a01d8a1760bab0443b89ce685d023a7d7b432019565fc47fe4b0e012d3976ce174347227c670ddd10b6978ec2b4ed023ff06b267f9bdb429 SHA512 6f6a9aeeafe244267be7afe914ac5c239c2b44daa677e6cfb83bfbdb81421b209db3fc8a5d7a78e228e8939f00bf464e1bdb9e691b6e40228180e8a8d1d4ecc7

diff --git a/x11-libs/gdk-pixbuf/gdk-pixbuf-2.44.7.ebuild b/x11-libs/gdk-pixbuf/gdk-pixbuf-2.44.7.ebuild
new file mode 100644
index 000000000000..159f842a0884
--- /dev/null
+++ b/x11-libs/gdk-pixbuf/gdk-pixbuf-2.44.7.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson-multilib multilib xdg
+
+DESCRIPTION="Image loading library for GTK+"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gdk-pixbuf"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="gtk-doc +introspection gif jpeg test tiff"
+RESTRICT="!test? ( test )"
+
+# TODO: For windows/darwin support: shared-mime-info conditional, native_windows_loaders option review
+DEPEND="
+	>=dev-libs/glib-2.56.0:2[${MULTILIB_USEDEP}]
+	x11-misc/shared-mime-info
+	>=media-libs/libpng-1.4:0=[${MULTILIB_USEDEP}]
+	jpeg? ( media-libs/libjpeg-turbo:=[${MULTILIB_USEDEP}] )
+	tiff? ( >=media-libs/tiff-3.9.2:=[${MULTILIB_USEDEP}] )
+	introspection? ( >=dev-libs/gobject-introspection-1.82.0-r2:= )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+	>=dev-build/meson-1.5
+	gtk-doc? ( >=dev-util/gi-docgen-2021.1 )
+	app-text/docbook-xsl-stylesheets
+	app-text/docbook-xml-dtd:4.3
+	dev-libs/glib:2
+	dev-libs/libxslt
+	dev-python/docutils
+	dev-util/glib-utils
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+
+MULTILIB_CHOST_TOOLS=(
+	/usr/bin/gdk-pixbuf-query-loaders$(get_exeext)
+)
+
+src_prepare() {
+	default
+	xdg_environment_reset
+}
+
+multilib_src_configure() {
+	local emesonargs=(
+		-Dpng=enabled
+		$(meson_feature gif)
+		-Dglycin=disabled
+		-Dothers=enabled
+		$(meson_feature tiff)
+		$(meson_feature jpeg)
+		-Dbuiltin_loaders=png,jpeg
+		-Drelocatable=false
+		#native_windows_loaders
+		$(meson_use test tests)
+		-Dinstalled_tests=false
+		-Dgio_sniffing=true
+		$(meson_native_use_bool gtk-doc documentation)
+		$(meson_native_use_feature introspection)
+		$(meson_native_true man)
+		-Dthumbnailer=enabled
+	)
+
+	meson_src_configure
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	if use gtk-doc; then
+		mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
+		mv "${ED}"/usr/share/doc/gdk-pixbuf "${ED}"/usr/share/gtk-doc/html/ || die
+		mv "${ED}"/usr/share/doc/gdk-pixdata "${ED}"/usr/share/gtk-doc/html/ || die
+	fi
+}
+
+pkg_preinst() {
+	xdg_pkg_preinst
+
+	multilib_pkg_preinst() {
+		# Make sure loaders.cache belongs to gdk-pixbuf alone
+		local cache="usr/$(get_libdir)/${PN}-2.0/2.10.0/loaders.cache"
+
+		if [[ -e ${EROOT}/${cache} ]]; then
+			cp "${EROOT}"/${cache} "${ED}"/${cache} || die
+		else
+			touch "${ED}"/${cache} || die
+		fi
+	}
+
+	multilib_foreach_abi multilib_pkg_preinst
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	multilib_foreach_abi gnome2_gdk_pixbuf_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+
+	if [[ -z ${REPLACED_BY_VERSION} ]]; then
+		rm -f "${EROOT}"/usr/lib*/${PN}-2.0/2.10.0/loaders.cache
+	fi
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.